curl --request GET \
--url https://api.nebius.cloud/storage/v1/transfers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/storage/v1/transfers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/storage/v1/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"destination": {
"nebius": {
"bucketName": "<string>",
"region": "<string>",
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
}
},
"prefix": "<string>",
"s3Compatible": {
"bucketName": "<string>",
"endpoint": "<string>",
"region": "<string>",
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"anonymous": {}
}
},
"overwriteStrategy": "OVERWRITE_STRATEGY_UNSPECIFIED",
"source": {
"azureBlobStorage": {
"containerName": "<string>",
"endpoint": "<string>",
"anonymous": {},
"azureStorageAccount": {
"accountName": "<string>",
"accessKey": "<string>"
}
},
"nebius": {
"bucketName": "<string>",
"region": "<string>",
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"anonymous": {}
},
"prefix": "<string>",
"s3Compatible": {
"bucketName": "<string>",
"endpoint": "<string>",
"region": "<string>",
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"anonymous": {}
}
},
"afterNEmptyIterations": {
"emptyIterationsThreshold": 123
},
"afterOneIteration": {},
"enableDeletesInDestination": true,
"infinite": {},
"interIterationInterval": "<string>",
"limiters": {
"bandwidthBytesPerSecond": "<string>",
"requestsPerSecond": "<string>"
},
"touchUnmanaged": true
},
"status": {
"error": {
"code": "<string>",
"message": "<string>",
"origin": "ORIGIN_UNSPECIFIED"
},
"lastIteration": {
"averageThroughputBytes": "<string>",
"endTime": "2023-11-07T05:31:56Z",
"error": {
"code": "<string>",
"message": "<string>",
"origin": "ORIGIN_UNSPECIFIED"
},
"objectsDeletedCount": "<string>",
"objectsTransferredCount": "<string>",
"objectsTransferredSize": "<string>",
"sequenceNumber": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED"
},
"state": "STATE_UNSPECIFIED",
"suspensionState": "SUSPENSION_STATE_UNSPECIFIED"
}
}Get
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
Response
A successful response.
Transfer that migrates data from other providers or across different regions of Nebius Object Storage. Transfer consists of consecutive iterations where the service lists objects in the source bucket and moves those that need to be transferred according to the specified overwrite strategy and touch unmanaged flag value. If the enable deletes in destination flag is set, the service also lists destination bucket and deletes objects which do not exist in the source bucket according to the touch unmanaged flag value. After an iteration completes, the transfer will stop if its stop condition is met. Otherwise, it will wait for the defined inter-iteration interval before starting the next iteration.
Was this page helpful?